=== debian/changelog ===
fiat-ecmwf (1.0.0-4) unstable; urgency=medium

  * Enable tests
  * Reproducible builds patch from Vagrant Cascadian, Closes: #1029303

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Jan 2023 19:34:07 +0000

fiat-ecmwf (1.0.0-3) unstable; urgency=medium

  * Enable MPI
  * Fix typo in cmake susbtitutions

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Nov 2022 20:44:23 +0000

fiat-ecmwf (1.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Nov 2022 07:45:54 +0000

fiat-ecmwf (1.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1042551)

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Nov 2022 12:39:17 +0000
