=== debian/control ===
Source: fiat-ecmwf
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  dh-sequence-fortran-mod,
  ecbuild (>= 3.3.2),
  gfortran | fortran-compiler,
  python3-all-dev,
  libfckit-dev (>= 0.9.2-2),
  libfckit-utils,
  mpi-default-dev,
  chrpath
Standards-Version: 4.6.1
Homepage: https://github.com/ecmwf-ifs/fiat
Vcs-Browser: https://salsa.debian.org:/science-team/fiat.git
Vcs-Git: https://salsa.debian.org:/science-team/fiat.git -b debian/latest

Package: libfiat-0
Section: libs
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fortran IFS and Arpege Toolkit - libray
 FIAT is a collection of selected Fortran utility libraries, extracted from 
 the IFS/Arpege model used at ECMWF.
 It provides:
   drhook : tracing
   gstats : timing
   parkind : choose precision
   mpl : MPI communication
   mpi_serial: MPI dummy symbols compiled into static library other 
               various routines
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.


Package: fiat-utils
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
Multi-Arch: foreign
Depends:  ${shlibs:Depends}, ${misc:Depends}, libfiat-0 (= ${binary:Version}) 
Description: Fortran IFS and Arpege Toolkit - utilities
 FIAT is a collection of selected Fortran utility libraries, extracted from 
 the IFS/Arpege model used at ECMWF.
 It provides:
   drhook : tracing
   gstats : timing
   parkind : choose precision
   mpl : MPI communication
   mpi_serial: MPI dummy symbols compiled into static library other 
               various routines
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libfiat-dev
Section: libdevel
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
Multi-Arch: same
Recommends: ecbuild
Depends:  ${misc:Depends},
 libfiat-0 (= ${binary:Version}),
 fiat-utils (= ${binary:Version}),
 libfckit-dev
Description: Fortran IFS and Arpege Toolkit - development files
 FIAT is a collection of selected Fortran utility libraries, extracted from 
 the IFS/Arpege model used at ECMWF.
 It provides:
   drhook : tracing
   gstats : timing
   parkind : choose precision
   mpl : MPI communication
   mpi_serial: MPI dummy symbols compiled into static library other 
               various routines
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
