=== debian/changelog ===
fiat-ecmwf (1.2.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:15:17 +0000

fiat-ecmwf (1.2.0-3build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:25:05 +0000

fiat-ecmwf (1.2.0-3) unstable; urgency=medium

  * strip fmoddir of extra spaces, to ensure cmake files don't break

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jan 2024 10:05:44 +0000

fiat-ecmwf (1.2.0-2) unstable; urgency=medium

  * Build-dep on architecture-is-64-bit
  * Change to arch: rather than explicit list of 64-bit archs
  * Build-dep on dh-fortran-mod >= 0.31
  * Use fortran-support.mk 
  * Update B-D on fckit-dev to (>= 0.11.0-5); drop explicit dep on eckit-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 07:42:11 +0000

fiat-ecmwf (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * Ensure FCKIT support: include B-D libeckit-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 18:22:24 +0000
