=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: fiat-ecmwf
 Section: science
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
+  architecture-is-64-bit,
   dh-buildinfo, 
-  dh-sequence-fortran-mod,
+  dh-fortran-mod (>= 0.31),
   ecbuild (>= 3.3.2),
-  gfortran | fortran-compiler,
   python3-all-dev,
-  libfckit-dev (>= 0.9.2-2),
+  libfckit-dev (>= 0.11.0-5),
   libfckit-utils,
   mpi-default-dev,
   chrpath
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ecmwf-ifs/fiat
 Vcs-Browser: https://salsa.debian.org:/science-team/fiat.git
 Vcs-Git: https://salsa.debian.org:/science-team/fiat.git -b debian/latest
 
 Package: libfiat-0
 Section: libs
-Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
+Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Fortran IFS and Arpege Toolkit - libray
@@ -37,7 +38,7 @@
 
 
 Package: fiat-utils
-Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
+Architecture: any
 Multi-Arch: foreign
 Depends:  ${shlibs:Depends}, ${misc:Depends}, libfiat-0 (= ${binary:Version}) 
 Description: Fortran IFS and Arpege Toolkit - utilities
@@ -55,10 +56,10 @@
 
 Package: libfiat-dev
 Section: libdevel
-Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
+Architecture: any
 Multi-Arch: same
-Recommends: ecbuild
-Depends:  ${misc:Depends},
+Recommends: ecbuild, ${fortran:Recommends}
+Depends:  ${misc:Depends}, ${fortran:Depends},
  libfiat-0 (= ${binary:Version}),
  fiat-utils (= ${binary:Version}),
  libfckit-dev
