## fiat-ecmwf 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,14 @@
                     DESCRIPTION "[DEPRECATED] Support single precision handles for DR_HOOK"
                     DEFAULT OFF )
 
+ecbuild_add_option( FEATURE DOUBLE_PRECISION
+                    DEFAULT ON
+                    DESCRIPTION "Compilation of parkind_dp" )
+
+ecbuild_add_option( FEATURE SINGLE_PRECISION
+                    DEFAULT ON
+                    DESCRIPTION "Compilation of parkind_sp" )
+
 ecbuild_add_option( FEATURE WARNINGS
                     DEFAULT ON
                     DESCRIPTION "Add warnings to compiler" )
