=== debian/changelog ===
fiat-ecmwf (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Apr 2024 15:34:23 +0100

fiat-ecmwf (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 16:38:32 +0100
