=== src/mpi_serial/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
             mpi_cart_create.F
             mpi_cart_rank.F
             mpi_cart_sub.F
+            mpi_comm_compare.F
             mpi_comm_create.F
             mpi_comm_free.F
             mpi_comm_group.F
