=== tests/drhook/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,9 @@
   LIBS fiat ${CMATH_LIBRARIES}
   LINKER_LANGUAGE C
   NOINSTALL )
+if( CMAKE_C_COMPILER_ID MATCHES "PGI|NVHPC" )
+  target_compile_options( drhook_ex4 PUBLIC -Ktrap=fp )
+endif()
 
 ecbuild_add_executable( TARGET drhook_ex5
   SOURCES drhook_ex5.F90
@@ -68,7 +71,8 @@
 ecbuild_add_test( TARGET fiat_test_drhook_ex5
                   COMMAND drhook_ex5
                   MPI 2
-                  ENVIRONMENT DR_HOOK=1 DR_HOOK_SILENT=1 )
+                  ENVIRONMENT DR_HOOK=1 DR_HOOK_SILENT=1
+                  CONDITION HAVE_MPI )
 
 # TODO:
 # Better parse output to see if it matches.
