=== debian/changelog ===
fiat-ecmwf (1.4.1-1build3) questing; urgency=medium

  * No-change rebuild for gfortran 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Sep 2025 14:26:49 +0200

fiat-ecmwf (1.4.1-1build2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Dec 2024 21:56:02 +0100

fiat-ecmwf (1.4.1-1build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 01 Dec 2024 16:14:47 +0000

fiat-ecmwf (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Nov 2024 11:06:38 +0000

fiat-ecmwf (1.4.0-2) unstable; urgency=medium

  * Build against openmpi >= 5.0.5-6. Closes: #1087502

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Nov 2024 19:38:04 +0000
