=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: fiat-ecmwf
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
   architecture-is-64-bit,
   dh-buildinfo, 
@@ -13,10 +13,10 @@
   libfckit-utils,
   mpi-default-dev,
   chrpath
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf-ifs/fiat
-Vcs-Browser: https://salsa.debian.org:/science-team/fiat.git
-Vcs-Git: https://salsa.debian.org:/science-team/fiat.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/fiat.git
+Vcs-Git: https://salsa.debian.org/science-team/fiat.git -b debian/latest
 
 Package: libfiat-0
 Section: libs
